Neu Shop 3 und PHP 7?

Afox

Gut bekanntes Mitglied
12. April 2012
331
4
Hallo,

würde der Shop 3 auf PHP 7 laufen, wenn es einen entsprechenden ioncube-loader dafür gäbe bzw. man eine unverschlüsselte Version hätte?

Gruß,

Afox
 

Afox

Gut bekanntes Mitglied
12. April 2012
331
4
also würde es nicht funktionieren? Mich würde interessieren warum und ob es jemand schonmal probiert hat :)
 

FMoche

Moderator
Mitarbeiter
15. Dezember 2014
737
83
Halle (Saale)
Allein schon wegen der Ioncube-Verschlüsselung.
Aber selbst ohne die gäbe es zu viele veraltete Bibliotheken, die nicht unter PHP 7 funktionieren. Probiert es gar nicht erst aus.
 

Afox

Gut bekanntes Mitglied
12. April 2012
331
4
zum aktuellen Zeitpunkt kommt das nicht in Frage. Außerdem kann es durchaus eine passende ioncube Version geben oder man müsste einen unverschlüsselten Shop verwenden. Ich wollte nur mal grob eine Einschätzung haben wieviel Aufwand es ungefähr sein würde den Shop 3 für PHP 7 fitt zu machen wenn man den Faktor Verschlüsselung ausklammert.
 

FMoche

Moderator
Mitarbeiter
15. Dezember 2014
737
83
Halle (Saale)
Da wir dir keine unverschlüsselte Version bereitstellen, stellt sich auch diese Frage eigentlich nicht.
Davon abgesehen: der Aufwand wäre größer, als auf Shop4 zu aktualisieren.
 

Afox

Gut bekanntes Mitglied
12. April 2012
331
4
darf ich mal nach den Gründen fragen, warum keine unverschlüsselte Version bereitgestellt wird?
um zu beurteilen ob der Aufwand größer ist, sollte man sich vielleicht erstmal den Shop anschauen um den es geht? Außerdem kann man das ja schlecht wissen wenn nichtmal eine grobe Richtung genannt wird bzw. grob skizziert wird was alles zu tun wäre.
 
Zuletzt bearbeitet:

Afox

Gut bekanntes Mitglied
12. April 2012
331
4
keine Antwort mehr zu den Gründen? würde mich interessieren da ja der Shop 4 auch offen/unverschlüsselt ist.
 

ag-websolutions.de

Moderator
29. Dezember 2009
14.548
219
Es gibt doch im Prinzip nur zwei Gründe um eine Software zu verschlüsseln .... Ideenschutz ... Lizenzschutz.

Der Ideenschutz, also der eigentliche Programmcode, fällt ja nun durch Shop4 weg, da dieser ja völlig unverschlüsselt daher kommt.

Was bleibt übrig ... richtig ... Lizenzschutz
 

Afox

Gut bekanntes Mitglied
12. April 2012
331
4
und wie soll mir dann ein Servicepartner helfen können wenn es einen Fehler im Core gibt?
 

hula1499

Sehr aktives Mitglied
22. Juni 2011
3.629
474
Der Sinn ist, dass du umsteigen sollst - doch ganz easy zu verstehen.

Irgendwelche security Dinge werden sie (vermutlich) noch updaten, falls hier was passiert - ansonsten gibts für Shop 3 einfach nix mehr.

Also: kein umstellen auf php 7 oder umstellen und shop 4 - as simple as that.